# Class SeedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.uncommons.maths.random.SeedException

All Implemented Interfaces:
  `Serializable`

public class SeedException extends Exception
Exception thrown by `SeedGenerator` implementations when they are unable to generate a new seed for an RNG.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SeedException(String message)`
`SeedException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SeedException

public SeedException(String message)

Parameters:
  `message` - Details of the problem.

### SeedException

public SeedException(String message, Throwable cause)

Parameters:
  `message` - Details of the problem.
  `cause` - The root cause of the problem.